
/******************************************************************

			NessIO.h

   Structures, constants and externs for NessIO.c

******************************************************************/

/* rotational offset correction */

#define ROTATION_CORRECTION	-0.38	/* degrees */

/* environment items */

#define FIBCOORDS   "FIBCOORDS"
#define FIBFIELDS   "FIBFIELDS"
#define STDFIELDS   "STDFIELDS"

/* header keys */

#define KEY_FIELD_NAME       "FIELD NAME"
#define KEY_INPUT_EPOCH      "INPUT EPOCH"
#define KEY_CURRENT_EPOCH    "CURRENT EPOCH"
#define KEY_SIDERIAL_TIME    "SIDER?EAL TIME"
#define KEY_EXPOSURE_LENGTH  "EXPOSURE LENGTH"
#define KEY_WAVELENGTH       "WAVELENGTH"
#define KEY_CABLE            "CABLE"
#define KEY_GUIDEWAVE        "GUIDEWAVE"
#define KEY_WEIGHTING        "WEIGHTING"

#define  INT  	  0
#define  DOUBLE   1
#define  CHAR     2

#define  FAILURE  1

#define RA	  0
#define DEC	  1

#define FILE_BAD  1
#define FILE_OK   0

#define EMPTY     0
#define COMMENT   1
#define HEADER    2
#define OBJECT    3
#define OTHER     4

#define CENTERCHAR    'C'
#define OBJECTCHAR    'O'

#define BLANK    -5
#define COORD_OK -4
#define EDGE     -3
#define STP2     -2
#define STP1     -1

#define OBJ_FIBER         1
#define SCS_FIBER         2
#define SKY_FIBER	  0
#define UNASSIGNED_FIBER -1
#define FIDUCIAL_FIBER   -2
#define RANDOM_FIBER      3

#define DEFAULT_SKY  9999

struct keyRouterChecker{

   char  *keyName;	/* the text we scan for */
   int   type;		/* so we know how to try to parse the key */
   char  *whereItGoes;	/* where to store the value */
   int   required;	/* TRUE if we can't proceed without it */
   int   found;		/* TRUE if we have found it */
};


extern char *stringstring();

extern double tempmonths[];

extern double FieldRotationalOffset;

extern void sysStatusDump();
extern void printIRAFfile();
extern LoadStarFile();
extern void nessToHydra();

extern FILE *createStarFile();
extern FILE *openStarFile();
extern FILE *openCoordFile();

extern struct starinfo *createObject();
